Bug 150492 - Added virtual category to x11-wm/enlightenment 0.16 ports
Summary: Added virtual category to x11-wm/enlightenment 0.16 ports
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-11 19:00 UTC by Grzegorz Blach
Modified: 2010-09-29 22:10 UTC (History)
0 users

See Also:


Attachments
file.shar (3.46 KB, text/plain)
2010-09-11 19:00 UTC, Grzegorz Blach
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Grzegorz Blach 2010-09-11 19:00:08 UTC
Following
http://docs.freebsd.org/cgi/getmsg.cgi?fetch=465132+0+current/freebsd-ports.

I'm sending patches for e16 ports:
graphics/imlib2
graphics/imlib2_loaders
x11-wm/e16
x11-wm/e16utils
x11-themes/e16-themes

In attachment I shared five patches.


For e17 ports I added enlightenment category currently only in development repo:
http://dev.roorback.net/enlight-ports/changeset?old_path=%2Ftrunk&old=30&new_path=%2Ftrunk&new=30

Ports from this repo should be ready to merge with main ports tree in a week
or so.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2010-09-11 19:38:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->stas

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Stanislav Sedov freebsd_committer 2010-09-12 08:20:32 UTC
Responsible Changed
From-To: stas->portmgr

portmgr territory.
Comment 3 Pav Lucistnik freebsd_committer 2010-09-14 09:28:43 UTC
State Changed
From-To: open->feedback

How many more ports could be added to this virtual category? I'm hesitant to 
add new category for just five ports. The smallest (still useful) virtual 
category - docs - have 20 members. Smallest wm group - Afterstep is 35.
Comment 4 Pav Lucistnik freebsd_committer 2010-09-14 10:37:46 UTC
State Changed
From-To: feedback->open

Submitter claims 90+ ports for this category, sounds good to me
Comment 5 Pav Lucistnik freebsd_committer 2010-09-27 22:00:40 UTC
Responsible Changed
From-To: portmgr->pav

Handle
Comment 6 dfilter service freebsd_committer 2010-09-29 21:51:59 UTC
pav         2010-09-29 20:51:55 UTC

  FreeBSD ports repository

  Modified files:
    Mk                   bsd.port.mk 
  Log:
  - Introduce a new virtual category enlightenment, for the popular desktop
    environment
  
  PR:             ports/150492
  Requested by:   Grzegorz Blach <magik@roorback.net>
  
  Revision  Changes    Path
  1.649     +2 -2      ports/Mk/bsd.port.mk
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Pav Lucistnik freebsd_committer 2010-09-29 21:58:34 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 8 dfilter service freebsd_committer 2010-09-29 22:00:45 UTC
pav         2010-09-29 21:00:40 UTC

  FreeBSD ports repository

  Modified files:
    graphics/imlib2      Makefile 
    graphics/imlib2_loaders Makefile 
    x11-themes/e16-themes Makefile 
    x11-wm/e16           Makefile 
    x11-wm/e16utils      Makefile 
  Log:
  - Add enlightenment virtual category to a couple of ports
  
  PR:             ports/150492
  Submitted by:   Grzegorz Blach <magik@roorback.net>
  
  Revision  Changes    Path
  1.139     +1 -1      ports/graphics/imlib2/Makefile
  1.33      +1 -1      ports/graphics/imlib2_loaders/Makefile
  1.6       +1 -1      ports/x11-themes/e16-themes/Makefile
  1.138     +1 -1      ports/x11-wm/e16/Makefile
  1.25      +1 -1      ports/x11-wm/e16utils/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"